<?php

	// ライブラリを読み込む
	require_once './get-exif-10from60.php' ;

	// 画像ファイルのパス
	$img = 'photo-01.jpg' ;

	// GETメソッドのリクエストがある場合
	if( isset( $_GET['photo'] ) && !empty( $_GET['photo'] ) && file_exists( $_GET['photo'] ) )
	{
		$img = $_GET['photo'] ;
	}

	// Exifを取得し、[$exif]に代入する
	$exif = @exif_read_data( $img ) ;

	// HTML用
	$html = '' ;

	// 見出し
	$html = '<h2>実行結果</h2>' ;

	// Exifが取得できなかった場合
	if( !$exif ||
		!isset( $exif['GPSLatitudeRef'] ) || empty( $exif['GPSLatitudeRef'] ) ||
		!isset( $exif['GPSLatitude'] ) || empty( $exif['GPSLatitude'] ) ||
		!isset( $exif['GPSLongitudeRef'] ) || empty( $exif['GPSLongitudeRef'] ) ||
		!isset( $exif['GPSLongitude'] ) || empty( $exif['GPSLongitude'] )
	){
		// 案内メッセージ
		$html .= '<p><mark>画像に位置情報、またはExif自体が含まれていませんでした…。</mark></p>' ;
	}

	// Exifが取得できた場合
	else
	{
		// 案内メッセージ
		$html .= '<p>指定された写真から、下記の位置情報を取得しました。</p>' ;

		// 緯度を60進数から10進数に変換する
		$lat = get_10_from_60_exif( $exif['GPSLatitudeRef'] , $exif['GPSLatitude'] ) ;

		// 経度を60進数から10進数に変換する
		$lng = get_10_from_60_exif( $exif['GPSLongitudeRef'] , $exif['GPSLongitude'] ) ;

		// 結果を出力する
		$html .= '<h3>画像ファイル</h3>' ;
		$html .= '<p><img class="_img" src="' . $img . '" alt="画像ファイル"></p>' ;

		$html .= '<h3>位置情報</h3>';
		$html .= '<p>' ;
		$html .= $lat . ',' . $lng ;
		$html .= ' (<a href="https://www.google.co.jp/maps/@' . $lat . ',' . $lng . ',17z" target="_blank">Google Mapsで確認</a>)' ;
		$html .= '</p>' ;
		$html .= '<p><img class="_img" src="//maps.googleapis.com/maps/api/staticmap?center=' . $lat . ',' . $lng . '&size=600x450&scale=1&sensor=false&markers=color%3Ared%7C' . $lat . ',' . $lng . '"></p>' ;

		$html .= '<h2>Exifデータ</h2>';
		$html .= '<p><textarea rows="8">' . print_r( $exif , true ) . '</textarea></p>' ;
	}

	$html .= '<h2>写真の選択</h2>' ;
	$html .= '<ul style="list-style-type:none; margin:0; padding:0; overflow:hidden;">' ;

	for( $i=0,$l=4; $l>$i; $i++ )
	{
		$photo = 'photo-' . sprintf( '%02d' , ( $i+1 ) ) . '.jpg' ;

		if( file_exists( $photo ) )
		{
			$html .= 	'<li style="width:25%; margin:0; padding:0; float:left; border:none;"><a href="?photo=' . $photo . '"><img src="' . $photo . '" style="max-width:100%; height:auto;"></a></li>' ;
		}
	}

	$html .= '</ul>' ;
?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>画像から位置情報を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/php-exif-read-data

	* 動作確認
	https://syncer.jp/php-exif-read-data/demo/get-latlng-from-exif.php

	* 最終更新日時
	2015/08/15 19:50

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/php-exif-read-data">配布元: Syncer</a></p>






</body>
</html>
